package fr.shortcircuit.pattern.chain.node;

import fr.shortcircuit.pattern.chain.node.definition.AbstractProcessorNode;
import fr.shortcircuit.pattern.chain.request.definition.IRequest;

/** 
 * @author Dimitri Dean DARSEYNE (D3), 
 * Published by Short-Circuit under Creative Commons (CC) Licensing: 
 * Authorship/Paternity, NO Commercial Use, NO Derivative
 * Please check for more informations:
 * http://creativecommons.org/licenses/by-nc-nd/2.0/
 *
 * Auteur Dimitri Dean DARSEYNE (D3),
 * Publié par Short-Circuit sous license Creative Commons (CC):
 * Paternité, PAS d'Utilisation Commerciale, pas de Dérivés/Modifications
 * Pour plus d'informations, se rendre sur:
 * http://creativecommons.org/licenses/by-nc-nd/2.0/fr/ 
 * 
 * @since Short-Circuit 1999
 */

/**
 * A simple ending/conclusion node, just displaying a message.
 * Remark: additional processing instruction placeholder...
 * 
 * Un simple noeud de fin/conclusion, affichant juste un message.
 * Remarque: Emplacement alloué pour des instructions de traitement additionnels...
 */
public class TerminalProcessorNode extends AbstractProcessorNode
{
	@Override
	public void process(IRequest request) 
	{
		System.out.println("TerminalProcessorNode: process: hey '" + request.toString() + "', you've reached terminal node, congratulations, chain is over...");
	}
}
