package fr.shortcircuit.pattern.chain.request.definition;

import java.util.List;

import org.apache.commons.collections.Predicate;

/** 
 * @author Dimitri Dean DARSEYNE (D3), 
 * Published by Short-Circuit under Creative Commons (CC) Licensing: 
 * Authorship/Paternity, NO Commercial Use, NO Derivative
 * Please check for more informations:
 * http://creativecommons.org/licenses/by-nc-nd/2.0/
 *
 * Auteur Dimitri Dean DARSEYNE (D3),
 * Publié par Short-Circuit sous license Creative Commons (CC):
 * Paternité, PAS d'Utilisation Commerciale, pas de Dérivés/Modifications
 * Pour plus d'informations, se rendre sur:
 * http://creativecommons.org/licenses/by-nc-nd/2.0/fr/ 
 * 
 * @since Short-Circuit 1999
 */

/**
 * Interface design: Object "value" + List of matchingPredicates accessors, Decorator pattern method.
 *  
 * Design d'interface: accesseurs à l'Object "value" + la liste des Prédicats vérifiés, méthode du pattern Decorator. 
 */
public interface IRequest 
{
	public Object 			getValue();
    public void 			decorate(Predicate matchingRulePredicate);
    public List<Predicate> 	getMatchingPredicates();
}
